Subject: RE: cross gdb & debugging agent

From: Jungjun Kim <[email-masked]>
Date: Tue, 30 May 2000 12:10:56 +0900

Hello Lavu Sridhar,

> I have changed the address map in this file. But i have a feeling that
> this is not the only place where the address map should be changed....
> In the System.map file, there is a reference to the address 
> 
> c0004000 A swapper_pg_dir (on the last line)
>  
As far as I know, this address is depends on base address.
After you change the base address in Makefile, this address  must be changed.

> I have compiled the image, vmlinux file. (with base address 0x8000000)
> 
> and then when i gave the following instructions:
> 
> $xxgdb -b 115200
> (xxgdb) load vmlinux
> Loading section .init, size 0x7000 lma 0x8000000
> Loading section .text, size 0x854f8 lma 0x8007000
> Loading section .data, size 0xb508 lma 0x808e000
> Start address 0x8000000 , load size 621056
> Transfer rate: 68060 bits/sec, 511 bytes/write.
> (xxgdb)continue
> RDI_execute: undefined instruction
> 
> Program received signal SIGILL, Illegal instruction.
> RDI_read: data abort, no memory at specified address?
> RDI_read: data abort, no memory at specified address?
> Error accessing memory address 0xe59ff010: Resource temporarily
> unavailable.

As far as I know, the base address should be aligned at 0x8000. please check it.
I don't know this is the reason of the above failure, but you need to fix it.

Jungjun Kim

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]